Subject: bug#15899: 24.3.50; regression: `region' overlay is lower priority than default

From: Stefan Monnier <[email-masked]>
Date: Fri, 15 Nov 2013 20:25:46 -0500

> Isn't it confusing that the region highlighting is non-contiguous when
> an overlay is in its middle?

1- you need more than "an overlay in its middle": you need this overlay
   to put a face property that happens to completely cancel the region's
   own face properties (since the `face' properties of overlapping
   overlays are merged).
2- I don't think it's particularly confusing, no.  Usually the context
   makes it pretty clear, and if the user is surprised at some point,
   that surprise will most likely not last very long.
So, no, I don't really think it's a bug.

> What are the downsides of setting the region overlay's priority to
> most-positive-fixnum?

I most-positive-fixnum-ly hate overlay priorities.

        Stefan